/* ********************************* GG FONT******************************* */
@import url("https://fonts.googleapis.com/css2?family=Rubik:wght@300;400;500;600;700;800;900&display=swap");

/* ********************************* Reset CSS ******************************* */
:root {
  --bg-color: #f0f0f0;
  --text-color: #221e22;
  --yellow: #e29f01;
  --white: #ffff;
  --black: #000;
}

* {
  font-family: "Rubik", sans-serif;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body,
html {
  position: relative;
  overflow: hidden;
}

.container {
  height: 100vh;
  display: flex;
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
}

.overlay {
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, 0.8);
  z-index: 1;
}

.z-index-99 {
  z-index: 99 !important;
}

.text-yellow {
  color: var(--yellow);
}

/* **************** NAVIGATION *************** */
.nav {
  z-index: 99;
  color: var(--white);
  display: flex;
  position: fixed;
  top: 0;
  width: 100%;
  height: 80px;
  justify-content: space-between;
  align-items: center;
  padding: 0 80px;
}

.logo {
  font-size: 30px;
  font-weight: 900;
  cursor: pointer;
  animation: top-down 1s forwards;
}

.cart {
  font-size: 30px;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 8px;
  border-radius: 50%;
  text-align: center;
  transition: all 0.5s ease-in-out;
  animation: right-to-left 1.5s forwards;
}

.cart:hover {
  background-color: var(--white);
  color: var(--black);
}

.menu {
  animation: left-to-right 1.5s forwards;
}

.hamburger {
  position: relative;
  cursor: pointer;
}

.hamburger,
.hamburger::before,
.hamburger::after {
  width: 30px;
  height: 3px;
  border-radius: 0.5rem;
  background-color: var(--white);
}

.hamburger::before,
.hamburger::after {
  content: "";
  position: absolute;
}

.hamburger::before {
  top: 10px;
}
.hamburger::after {
  top: -10px;
}

/* **************** SOCIAL MEDIA *************** */
.sci {
  z-index: 2;
  color: var(--white);
  display: flex;
  position: fixed;
  right: 0;
  height: 100%;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 0 20px;
  animation: right-to-left 1.5s;
}

.sci i {
  font-size: 20px;
  margin-bottom: 10px;
  cursor: pointer;
  transition: 0.5s ease-in-out;
}

.sci i:hover {
  transform: rotate(30deg) scale(2);
}

/* **************** FASHION LABEL *************** */
.fashion {
  z-index: 2;
  color: var(--white);
  position: absolute;
  right: 0;
  bottom: 0;
  padding: 20px;
  writing-mode: vertical-lr;
  text-orientation: mixed;
  font-size: 20px;
  font-weight: 600;
  animation: left-to-right 1.5s;
}

/* **************** Product Info *************** */
.info {
  color: var(--white);
  text-align: right;
  position: relative;
  display: flex;
  overflow: visible;
  width: 100%;
  height: 80%;
  align-items: center;
}
.info h1 {
  font-size: 150px;
  font-weight: 900;
  line-height: 140px;
  text-transform: uppercase;
  text-align: left;
}

.info p {
  margin: 50px 0;
  text-align: justify;
}

.info button {
  font-size: 30px;
  padding: 10px 50px;
  border-radius: 30px;
  outline: transparent;
  border: 2px solid var(--white);
  font-weight: 600;
  cursor: pointer;
  transition: all 0.3s ease-in-out;
}

.info button:hover {
  background-color: var(--white);
  color: var(--black);
}

.product-info {
  position: absolute;
  width: 100%;
  height: 80%;
  height: fit-content;
  left: 0;
  padding: 0 80px;
  pointer-events: none;
}

.product-info.active {
  pointer-events: visible;
}

.product-info h1,
.product-info > span,
.product-info p,
.product-info button {
  opacity: 0;
  transition: unset;
}

.product-info button {
  transition-delay: 0.2s;
}

.product-info.active h1,
.product-info.active > span,
.product-info.active p,
.product-info.active button {
  opacity: 1;
  transition: opacity 1s, transform 1.2s, letter-spacing 1.2s, right 1.2s;
}

.product-info h1 {
  letter-spacing: 20px;
}
.product-info.active h1 {
  letter-spacing: unset;
}

.product-info > span {
  position: absolute;
  right: 200px;
}
.product-info.active > span {
  right: 80px;
}

.product-info.active p,
.product-info.active button {
  transform: translateY(100px);
}
.product-info.active p,
.product-info.active button {
  transform: translateY(0);
}

/* **************** Slider *************** */
.slider {
  display: flex;
  align-items: center;
  position: relative;
  width: 50%;
  height: 80%;
  overflow: visible;
}

.slide {
  position: absolute;
  display: flex;
  width: 100%;
  height: 100%;
  align-items: center;
  transition: all 1s ease-in-out;
  animation: bottom-up 2s;
}

.slide:nth-child(1) {
  z-index: 4;
}
.slide:nth-child(2) {
  z-index: 2;
  width: 80%;
  height: 80%;
  left: 70%;
}
.slide:nth-child(3) {
  z-index: 1;
  width: 60%;
  height: 60%;
  left: 120%;
}
.slide:nth-child(4) {
  z-index: 0;
  width: 60%;
  height: 60%;
  left: 120%;
  transform: scale(0);
}

.img-holder {
  width: 100%;
  height: 100%;
  border-radius: 10px;
  background-position: top;
  background-size: cover;
  background-repeat: no-repeat;
}

/* **************** Slider Control *************** */
.slider-control {
  color: var(--white);
  position: absolute;
  bottom: 20px;
  left: 50%;
  transform: translateX(-50%);
  width: 50px;
  height: 50px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  border: 2px solid var(--white);
  transition: all 0.5s ease-in-out;
}

.slider-control:hover {
  background-color: var(--white);
  color: var(--black);
}

.slider-control:hover i {
  color: var(--black);
}

/* **************** Animation *************** */
@keyframes top-down {
  0% {
    opacity: 0;
    transform: translateY(-100%);
  }
  100% {
    opacity: 1;
    transform: translateY(0);
  }
}
@keyframes bottom-up {
  0% {
    opacity: 0;
    transform: translateY(100%);
  }
  100% {
    opacity: 1;
    transform: translateY(0);
  }
}
@keyframes left-to-right {
  0% {
    opacity: 0;
    transform: translateX(-100%);
  }
  100% {
    opacity: 1;
    transform: translateX(0);
  }
}
@keyframes right-to-left {
  0% {
    opacity: 0;
    transform: translateX(100%);
  }
  100% {
    opacity: 1;
    transform: translateX(0);
  }
}

/* **************** Grid System *************** */
[class*="col-"] {
  display: flex;
  align-items: center;
  z-index: 2;
}
.col-1 {
  width: 8.33%;
}
.col-2 {
  width: 16.66%;
}
.col-3 {
  width: 25%;
}
.col-4 {
  width: 33.33%;
}
.col-5 {
  width: 41.66%;
}
.col-6 {
  width: 50%;
}
.col-7 {
  width: 58.33%;
}
.col-8 {
  width: 66.66%;
}
.col-9 {
  width: 75%;
}
.col-10 {
  width: 83.33%;
}
.col-11 {
  width: 91.66%;
}
.col-12 {
  width: 100%;
}

/* **************** RESPONSIVE *************** */
/* **************** MOBILE DIVIDE *************** */
@media only screen and (max-width: 600px) {
  .nav {
    padding: 0 20px;
  }
  .col-5,
  .col-7 {
    width: 100%;
    height: 50%;
  }
  .col-7 {
    align-items: flex-start;
  }
  .container {
    flex-direction: column-reverse;
  }
  .info {
    align-items: flex-start;
  }
  .info h1 {
    font-size: 63px;
    line-height: 60px;
    text-align: left;
  }
  .info p {
    font-size: 12px;
  }
  .info button {
    font-size: 20px;
    padding: 10px 20px;
  }
  .product-info {
    padding: 0 20px;
  }

  .product-info button {
    float: left;
  }

  .slider {
    width: 80%;
    height: 80%;
    transform: translateY(20%);
    margin: 2rem 0;
  }
  .sci {
    justify-content: flex-end;
    right: 10%;
    bottom: 2%;
  }
}
/* **************** TABLET DIVIDE *************** */
@media only screen and (max-width: 1024px) {
  .info h1 {
    font-size: 80px;
  }
  .sci {
    justify-content: flex-end;
    right: 5%;
    bottom: 2%;
  }
}
